from users.imports.serializers import BCreateSC as Parent

from users.models import UserModel
from rest_framework import serializers


class UserCreateSerializer(Parent):
    password = serializers.CharField(required=True, write_only=True)

    class Meta(Parent.Meta):
        model = UserModel
        fields = [
            'id',
            'username',
            'password',
            'phone_number',
            'email_address',
            'roles',
            'date_joined',
        ]
        read_only_fields = ['roles', ]
